---
layout: default
title: Join the GitLab Talent Community
description: Review our open roles and join our talent community today
twitter_image: '/images/opengraph/Talent-Brand/hiring-day-in-the-life-person-on-couch.png'
twitter_image_alt: "A person sitting on the couch with their laptop, smiling."
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
suppress_header: true
manual_cookiebot: true
extra_css:
  - jobs.css
---

.container.listing-container
  .content.tile{id: 'opportunities'}
    :markdown
      ## Careers at GitLab

      Interested in joining our [all-remote team](https://about.gitlab.com/company/culture/all-remote/)? GitLab is a very unique place to work, and we’re taking an equally unique approach to growing [our team](https://about.gitlab.com/company/team/org-chart/). Learn more about our talent acquisition model and what it’s like to work here on our [Jobs FAQ page](https://about.gitlab.com/jobs/faq/).

    .u-flex.justify-center
      = link_to "https://boards.greenhouse.io/gitlab/jobs/4700367002?gh_src=d865c64f2us", class: "btn cta-btn accent" do
        Join Our Talent Community

    :markdown
      <br><br>

      Interested in one of these specific departments? Submit your information below. Otherwise, join our Talent Community.

      <!--Please add new prospect posts in the correct alphabetical order.-->

      * [Channel Sales Manager](https://boards.greenhouse.io/gitlab/jobs/5028793002)
      * [IT Systems Engineer](https://boards.greenhouse.io/gitlab/jobs/4985501002)
      * [Payroll](https://boards.greenhouse.io/gitlab/jobs/5025441002)
      * [Product Design](https://boards.greenhouse.io/gitlab/jobs/4974496002)
      * [Professional Services](https://boards.greenhouse.io/gitlab/jobs/4995629002)
      * [Quality](https://boards.greenhouse.io/gitlab/jobs/5043763002)
      * [Sales Operations](https://boards.greenhouse.io/gitlab/jobs/5064760002)
      * [Sales Strategy](https://boards.greenhouse.io/gitlab/jobs/5064306002)
      * [Security Engineering & Research](https://boards.greenhouse.io/gitlab/jobs/5043128002)
      * [Security Operations](https://boards.greenhouse.io/gitlab/jobs/5018854002)
      * [Technical Writing](https://boards.greenhouse.io/gitlab/jobs/4983530002)
      * [UX Research](https://boards.greenhouse.io/gitlab/jobs/4983498002)
      * [US Tax](https://boards.greenhouse.io/gitlab/jobs/5047103002)
  
      
      If you have questions about our Talent Community and how it all works, check out this video from our Recruiting team:

      <figure class='video_container'>
        <iframe src="https://www.youtube.com/embed/uK_kO8FcgpA"></iframe>
      </figure>

      <br><br>
      Here’s a list of the active roles we’re accepting inbound applications for, in addition to actively sourcing, for now. To be considered for a career opportunity at GitLab, please apply using the links below. 
      <br>
      
      <br><br>
    :markdown

      | Department | Position Title |  |
      |--------------------------|-----------------|------------------|
      | Sales | Area Sales Manager (US West-Enterprise) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4965024002) |
      | Sales | SMB Account Executive (Germany) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/5027387002) |  
      | Sales | SMB Account Executive (US West) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/5026351002) |  
      | Sales | Strategic Account Leader (Bay Area) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4961892002) |        
      | Sales | Strategic Account Leader (Germany) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4555793002) |
      | Sales | Strategic Account Leader (Southern Europe) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4891572002) |  
      | Sales | Strategic Account Leader (UK) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4962018002) |
      | Sales | Area Sales Manager (France & Southern Europe) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/5006931002) |
      | Sales | Mid-Market Account Executive (Japan) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4695394002) | 
      | Sales | Mid Market Account Executive (ANZ) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4983406002)| 
      | Sales | Mid-Market Account Executive (Germany) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4999841002)|  
      | Sales | Mid-Market Account Executive (Japan) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4695394002) |
      | Marketing | Sales Development Representative (Americas) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/5066479002) |
      | Marketing | Sales Development Representative, Enterprise (EMEA) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/4906513002) |  
      | Marketing | Sales Development Representative, Enterprise (APAC) | [Apply Here](https://boards.greenhouse.io/gitlab/jobs/5062538002) |             

      <br><br>
      Here’s a list of the active roles we’re only sourcing for now. To be considered for a career opportunity at GitLab, please join our Talent Community.
      <br>

    <br><br>
    :markdown

      | Department | Position Title | [Job Family](https://about.gitlab.com/handbook/hiring/job-families/) |
      |--------------------------|-----------------|------------------| 
      | Alliances | Technology Partner Manager | [What we're looking for](https://about.gitlab.com/job-families/alliances/alliances-manager/) |
      | Engineering | Backend Engineer, Enablement: Distribution | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer/#distribution) |
      | Engineering | Senior Backend Engineer, Release | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer) |
      | Engineering | Senior Frontend Engineer, Fulfillment:Purchase| [What we're looking for](https://about.gitlab.com/job-families/engineering/development/frontend/) |
      | Engineering | Senior Backend Engineer, Growth: Product Intelligence | [What we're looking for](https://about.gitlab.com/job-families/engineering/backend-engineer) |
      | Engineering | Senior Security Engineer, Application Security | [What we're looking for](https://about.gitlab.com/job-families/engineering/application-security/) |
      | Engineering | Database Reliability Engineer | [What we're looking for](https://about.gitlab.com/job-families/engineering/database-reliability-engineer/) |
      | Engineering | Infrastructure Security Engineer | [What we're looking for](https://about.gitlab.com/job-families/engineering/infrastructure-security/) |      
      | Engineering | Manager, Technical Writing | [What we're looking for](https://about.gitlab.com/job-families/engineering/technical-writing-manager/) |      
      | Engineering | Manager, Reliability | [What we're looking for](https://about.gitlab.com/job-families/engineering/infrastructure/engineering-management/#manager-engineering-reliability) | 
      | Engineering | Product Design Manager, Manage/Plan | [What we're looking for](https://about.gitlab.com/job-families/engineering/ux-management/) |
      | Engineering | Product Designer, Secure & Protect | [What we're looking for](https://about.gitlab.com/job-families/engineering/product-designer/ ) |
      | Engineering | Site Reliability Engineer | [What we're looking for](https://about.gitlab.com/job-families/engineering/infrastructure/site-reliability-engineer/) |
      | Engineering | Senior Security Incident Response Team Engineer (SIRT Engineer) | [What we're looking for](https://about.gitlab.com/job-families/engineering/security-engineer/#sirt---security-incident-response-team) | 
      | Engineering | Manager, Security Engineering (SIRT) | [What we're looking for](https://about.gitlab.com/job-families/engineering/security-incident-response-team/#manager-security-incident-response-team) |    
      | Engineering | Senior Security Engineer, Application Security | [What we're looking for](https://about.gitlab.com/job-families/engineering/application-security/) | 
      | Engineering | Software Engineer in Test, Manage: Import | [What we're looking for](https://about.gitlab.com/job-families/engineering/software-engineer-in-test/) |
      | Engineering | Software Engineer in Test, Ops: Pipeline Authoring | [What we're looking for](https://about.gitlab.com/job-families/engineering/software-engineer-in-test/) |
      | Engineering | Support Engineer (Americas) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Support Engineer (APAC) | [What we're looking for](https://about.gitlab.com/job-families/engineering/support-engineer) |
      | Engineering | Technical Writer| [What we're looking for](https://about.gitlab.com/job-families/engineering/technical-writer/ ) |
      | Finance | Corporate FP&A Manager | [What we're looking for](https://about.gitlab.com/job-families/finance/finance-planning-and-analysis/) |
      | Finance | Procurement Category Manager | [What we're looking for](https://about.gitlab.com/job-families/finance/procurement-operations/) |      
      | Field Operations | Renewals Operations Analyst (Americas) | [What we're looking for](https://about.gitlab.com/job-families/sales/renewal-operations-analyst/) |
      | G&A | Accounts Payable Specialist | [What we're looking for](https://about.gitlab.com/job-families/finance/accounts-payable/) |
      | G&A | Contract Manager | [What we're looking for](https://about.gitlab.com/job-families/legal/contract-manager/) |      
      | G&A | Director, Business Analytics and Insights| [What we're looking for](https://about.gitlab.com/job-families/finance/analytics-and-insights/) 
      | G&A | Director, FP&A | [What we're looking for](https://about.gitlab.com/job-families/finance/finance-planning-and-analysis/) |
      | G&A | Director of Legal, Commercial | [What we're looking for](https://about.gitlab.com/job-families/legal/director-legal-us) |
      | G&A | Director of Strategy and Operations | [What we're looking for](https://about.gitlab.com/job-families/chief-executive-officer/internal-strategy-consultant/#director-of-strategy-and-operations) |
      | G&A | IT Systems Engineer | [What we're looking for](https://about.gitlab.com/job-families/finance/it-systems-engineer/) |
      | G&A | Manager, General Ledger Accounting | [What we're looking for](https://about.gitlab.com/job-families/finance/general-ledger-accountant/) |
      | G&A | Manager, International Payroll (EMEA/APAC/LATAM) | [What we're looking for](https://about.gitlab.com/job-families/finance/payroll/) | 
      | G&A | Manager, Payroll | [What we're looking for](https://about.gitlab.com/job-families/finance/payroll-specialist/) |
      | G&A | Paralegal | [What we're looking for](https://about.gitlab.com/job-families/legal/paralegal/) |      
      | G&A | Senior Accounts Payable Specialist | [What we're looking for](https://about.gitlab.com/job-families/finance/accounts-payable/) |
      | G&A | Senior Business Systems Analyst | [What we're looking for](https://about.gitlab.com/job-families/finance/business-system-analyst/) |
      | G&A | Senior Data Engineer| [What we're looking for](https://about.gitlab.com/job-families/finance/data-engineer/) |
      | G&A | Senior Financial Analyst, Channel - FP&A | [What we're looking for](https://about.gitlab.com/job-families/finance/finance-planning-and-analysis/) |
      | G&A | US Tax Manager | [What we're looking for](https://about.gitlab.com/job-families/finance/international-tax-manager/) | 
      | Marketing | Field Marketing Manager (EMEA) | [What we're looking for](https://about.gitlab.com/job-families/marketing/field-marketing-manager/) |
      | Marketing | Marketing Operations Manager | [What we're looking for](https://about.gitlab.com/job-families/marketing/marketing-operations-manager/) |
      | Marketing | Senior Channel Marketing Manager (US Eastern / US Central) | [What we're looking for](https://about.gitlab.com/job-families/marketing/product-marketing-manager/#partner-and-channel-marketing) |  
      | Marketing | Content Editor | [What we're looking for](https://about.gitlab.com/job-families/marketing/editor/) |    
      | Product | Pricing Analyst | [What we're looking for](https://about.gitlab.com/job-families/product/pricing/#pricing-analyst) |  
      | Product | Product Analyst | [What we're looking for](https://about.gitlab.com/job-families/product/product-analyst/) |
      | Product | Senior Product Manager, Distribution | [What we're looking for](https://about.gitlab.com/job-families/product/product-manager/) |
      | Product | Senior Product Manager, Growth | [What we're looking for](https://about.gitlab.com/job-families/product/product-manager/) |
      | Sales | Area Sales Manager, Commercial (APAC) | [What we're looking for](https://about.gitlab.com/job-families/sales/area-sales-manager/) |
      | Sales | Channel Sales Manager (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/channel-sales-manager/) |          
      | Sales | Channel Sales Manager (Alliances) Americas | [What we're looking for](https://about.gitlab.com/job-families/sales/channel-sales-manager/#alliances/) |
      | Sales | Senior Program Manager, Field Enablement | [What we're looking for](https://about.gitlab.com/job-families/sales/program-manager-field-enablement/) | 
      | Sales | Mid Market Account Executive (ANZ)(Contract) | [What we're looking for](https://about.gitlab.com/job-families/sales/account-executive/) |        
      | Sales | Mid Market Account Executive (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/account-executive/) | 
      | Sales | Professional Services Engineer (US) | [What we're looking for](https://about.gitlab.com/job-families/sales/professional-services-engineer/) |
      | Sales | Professional Services Technical Instructor | [What we're looking for](https://about.gitlab.com/job-families/sales/professional-services-engineer/) |
      | Sales | Solutions Architect (Japan) | [What we're looking for](https://about.gitlab.com/job-families/sales/solutions-architect/) | 
      | Sales | Solutions Architect (Public Sector - US East) | [What we're looking for](https://about.gitlab.com/job-families/sales/solutions-architect/) | 
      | Sales | Technical Instructional Designer (Contract) | [What we're looking for](https://about.gitlab.com/job-families/sales/technical-instructional-designer/)|
      | Sales | Technical Account Manager, Enterprise (West) | [What we're looking for](https://about.gitlab.com/job-families/sales/technical-account-manager/)|
      | Sales | Technical Writer, Customer Programs | [What we're looking for](https://about.gitlab.com/job-families/sales/technical-writer-customer-programs/) | 
      | Sales | Manager, Sales Strategy (USA) | [What we're looking for](https://about.gitlab.com/job-families/sales/sales-strategy/) |  

      If you are a current team member, please reference [this page](https://about.gitlab.com/handbook/hiring/interviewing/#internal-applicants) for additional information and a link to the internal job board. If you'd like to submit a referral, please reference [this page](https://about.gitlab.com/handbook/hiring/referral-process/#submitting-a-referral).

    %div.u-flex.justify-center
      = link_to "https://boards.greenhouse.io/gitlab/jobs/4700367002?gh_src=d865c64f2us", class: "btn cta-btn accent" do            
        Join Our Talent Community
